Journal
Journal entries and line items
List journal entries
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
entityId?string
Format
uuidbookId?string
Format
uuidpage?integer
Default
1pageSize?integer
Default
20Response Body
application/json
application/json
curl -X GET "https://app.axiomatic.us/api/journal"{
"entries": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"bookId": "710266f4-0087-48f9-97e1-4b13ac48f353",
"eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
"entryDate": "2019-08-24",
"status": "POSTED",
"memo": "string",
"book": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"name": "string",
"type": "string",
"isPrimary": true,
"createdAt": "2019-08-24T14:15:22Z"
},
"lines": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"journalEntryId": "72600ee4-b304-47f3-89cd-f685d2692490",
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"debit": 0,
"credit": 0,
"currency": "string",
"fxRate": 0,
"debitFunctional": 0,
"creditFunctional": 0,
"memo": "string",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"code": "string",
"name": "string",
"type": "ASSET",
"normalBalance": "DEBIT",
"parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
"currency": "string",
"isActive": true,
"tags": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z"
}
}
],
"createdAt": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"page": 0,
"pageSize": 0
}{
"error": "string"
}Approve or reject a journal entry
x-api-key<token>
API key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.axiomatic.us/api/journal" \ -H "Content-Type: application/json" \ -d '{ "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "action": "approve" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"bookId": "710266f4-0087-48f9-97e1-4b13ac48f353",
"eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
"entryDate": "2019-08-24",
"status": "POSTED",
"memo": "string",
"book": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"name": "string",
"type": "string",
"isPrimary": true,
"createdAt": "2019-08-24T14:15:22Z"
},
"lines": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"journalEntryId": "72600ee4-b304-47f3-89cd-f685d2692490",
"accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
"debit": 0,
"credit": 0,
"currency": "string",
"fxRate": 0,
"debitFunctional": 0,
"creditFunctional": 0,
"memo": "string",
"account": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"code": "string",
"name": "string",
"type": "ASSET",
"normalBalance": "DEBIT",
"parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
"currency": "string",
"isActive": true,
"tags": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z"
}
}
],
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}